Create URL forward
curl --request POST \
--url https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": "https://www.example.com",
"source": "www",
"type": "permanent"
}
'import requests
url = "https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards"
payload = {
"destination": "https://www.example.com",
"source": "www",
"type": "permanent"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination: 'https://www.example.com', source: 'www', type: 'permanent'})
};
fetch('https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "URL forward created successfully",
"data": {
"id": 456,
"source": "www",
"destination": "https://www.example.com",
"type": "permanent"
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid registrar API token or access has been revoked. Please request registrar API access from your dashboard."
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}URL Forwarding
Create URL forward
Create a new URL forwarding rule for a domain. Supports permanent (301) and temporary (302) redirects.
POST
/
registrar
/
v1
/
domains
/
{domain_name}
/
url-forwards
Create URL forward
Authorizations
Registrar API Bearer token. Obtain from dashboard at /dashboard/seller/api-access after requesting Registrar API access.
Path Parameters
Domain name (e.g., 'example.com')
Body
application/json
⌘I